Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Highlighted
New Contributor
Posts: 2
Registered: ‎04-19-2013
My Device: Z10
My Carrier: 9056993939
Accepted Solution

PhoneGap Install

Hello 

 

i developed an app with PhoneGap. 

downloaded JAD file for blackberry

unable to open file from file manager/browser downloads.

 

Device is a Z10 running is system developer mode, what are my next steps to make this work?

 

Thank you 

Retired
Posts: 203
Registered: ‎12-18-2012
My Device: Z10, Q10, Q5, Z30, Z3
My Carrier: Bell

Re: PhoneGap Install

Hi,

 

You're trying to deploy a BBOS application onto a BB10 device.

 

In the current version of PhoneGap (aka Apache Cordova), you will need to target "qnx".

 

Assuming you have everything setup properly in project.properties, you should run this command:

 

ant qnx load-device

 

 

Bryan Higgins
BlackBerry WebWorks
@bryanhiggins
New Contributor
Posts: 2
Registered: ‎04-19-2013
My Device: Z10
My Carrier: 9056993939

Re: PhoneGap Install

Thanks for the reply, I'm doing this from the adobe phonegap build site. Is there anyway to do what your saying from there or am i better off figuring out what i need to do through ripple?
Retired
Posts: 203
Registered: ‎12-18-2012
My Device: Z10, Q10, Q5, Z30, Z3
My Carrier: Bell

Re: PhoneGap Install

PhoneGap build does not yet support BlackBerry 10

 

You should follow the instructions in the getting started guide:

http://docs.phonegap.com/en/2.5.0/guide_getting-started_blackberry_index.md.html#Getting%20Started%2...

Bryan Higgins
BlackBerry WebWorks
@bryanhiggins
Developer
Posts: 173
Registered: ‎12-10-2012
My Device: Dev Alpha C
My Carrier: -

Re: PhoneGap Install

[ Edited ]

Out of curiosity, what is phonegap build currently targeting as far as Blackberry goes? I've used phonegap before for android stuff, but not BB10.

 

Does Phonegap Build create files for BB7 and earlier? I am just wondering if perhaps it'd be a way to 'port' BB10 apps for earlier Blackberry OS people. I realize it's sort of a downgrade port, but seeing as not everyone will upgrade, it may be a way to reach extra people.